# $Revision: 1.39 $, $Date: 2006/05/21 16:21:27 $
# TODO:
#	- trigger to clean up after old bird package (stop, chkconfig --del)
#
# Conditional build:
%bcond_without	ipv6	# disable IPv6 support (and building bird-ipv6 package)
%bcond_without	ipv4	# disable IPv4 support (and building bird-ipv4 package)
#
Summary:	Routing daemon
Summary(pl):	Demon dynamicznego routingu
Name:		bird
Version:	1.0.11
Release:	2
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://bird.network.cz/pub/bird/%{name}-%{version}.tar.gz
# Source0-md5:	9f9dfe2af0bde45a0adbbd0ebc36f249
Source1:	%{name}-ipv4.init
Source2:	%{name}-ipv4.sysconfig
Source3:	%{name}-ipv6.init
Source4:	%{name}-ipv6.sysconfig
Patch0:		%{name}-flex.patch
Patch1:		%{name}-64bit.patch
URL:		http://bird.network.cz/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	bird-daemon
Requires:	rc-scripts
Obsoletes:	gated
Obsoletes:	mrt
Obsoletes:	zebra
Obsoletes:	zebra-guile
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The BIRD project is an attempt to create a routing daemon running on
UNIX-like systems (but not necessarily limited to them) with full
support of all modern routing protocols, easy to use configuration
interface and powerful route filtering language.

%description -l pl
Projekt BIRD ma na celu utworzenie daemona dynamicznego routingu
pracujcego na systemach UNIX z penym wsparciem dla nowoczesnych
protokow routingu, atwym interfejsem konfiguracji i jzykiem
filtrw o duych moliwociach.

%package ipv4
Summary:	Routing daemon for IPv4
Summary(pl):	Demon dynamicznego routingu IPv4
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts
Provides:	bird-daemon
Provides:	routingdaemon
Obsoletes:	gated
Obsoletes:	mrt
Obsoletes:	zebra
Obsoletes:	zebra-guile

%description ipv4
The BIRD project is an attempt to create a routing daemon running on
UNIX-like systems (but not necessarily limited to them) with full
support of all modern routing protocols, easy to use configuration
interface and powerful route filtering language.

%description ipv4 -l pl
Projekt BIRD ma na celu utworzenie daemona dynamicznego routingu
pracujcego na systemach UNIX z penym wsparciem dla nowoczesnych
protokow routingu, atwym interfejsem konfiguracji i jzykiem
filtrw o duych moliwociach.

%package ipv6
Summary:	Routing daemon for IPv6
Summary(pl):	Demon dynamicznego routingu IPv6
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts
Provides:	bird-daemon
Provides:	routingdaemon
Obsoletes:	gated
Obsoletes:	mrt
Obsoletes:	zebra
Obsoletes:	zebra-guile

%description ipv6
The BIRD project is an attempt to create a routing daemon running on
UNIX-like systems (but not necessarily limited to them) with full
support of all modern routing protocols, easy to use configuration
interface and powerful route filtering language.

%description ipv6 -l pl
Projekt BIRD ma na celu utworzenie daemona dynamicznego routingu
pracujcego na systemach UNIX z penym wsparciem dla nowoczesnych
protokow routingu, atwym interfejsem konfiguracji i jzykiem
filtrw o duych moliwociach.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.* tools

%if %{with ipv6}
%{__autoconf}
%configure \
	--disable-memcheck \
	--enable-client \
	--enable-ipv6
%{__make} -j1

mv bird bird-6

%{__make} clean
%endif

%if %{with ipv4}
%configure \
	--disable-memcheck \
	--enable-client \
	--disable-ipv6
%{__make} -j1
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/etc/sysconfig,%{_sbindir}}

install birdc $RPM_BUILD_ROOT%{_sbindir}

%if %{with ipv6}
install bird $RPM_BUILD_ROOT%{_sbindir}
install doc/bird.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}-ipv4
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}-ipv4
%endif

%if %{with ipv6}
install bird-6 $RPM_BUILD_ROOT%{_sbindir}
cat <<EOF > $RPM_BUILD_ROOT%{_sbindir}/birdc-6
#!/bin/sh
exec %{_sbindir}/birdc -s /var/run/bird-6.ctl
EOF
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}-ipv6
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/%{name}-ipv6
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post ipv4
/sbin/chkconfig --add %{name}-ipv4
%service %{name}-ipv4 restart "routing daemon"

%preun ipv4
if [ "$1" = "0" ]; then
	%service %{name}-ipv4 stop
	/sbin/chkconfig --del %{name}-ipv4
fi

%post ipv6
/sbin/chkconfig --add %{name}-ipv6
%service %{name}-ipv6 restart "routing daemon"

%preun ipv6
if [ "$1" = "0" ]; then
	%service %{name}-ipv6 stop
	/sbin/chkconfig --del %{name}-ipv6
fi

%files
%defattr(644,root,root,755)
%doc doc/*.html TODO README
%attr(755,root,root) %{_sbindir}/birdc

%if %{with ipv4}
%files ipv4
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/bird
%attr(754,root,root) /etc/rc.d/init.d/bird-ipv4
%attr(754,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/bird-ipv4
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/bird.conf
%endif

%if %{with ipv6}
%files ipv6
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/bird-6
%attr(755,root,root) %{_sbindir}/birdc-6
%attr(754,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/bird-ipv6
%attr(754,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/rc.d/init.d/bird-ipv6
#%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/bird-6.conf
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bird.spec,v $
Revision 1.39  2006/05/21 16:21:27  glen
- bcond header, rel 2

Revision 1.38  2006/05/21 15:38:17  glen
- one jobserver

Revision 1.37  2006/02/24 15:20:04  glen
- use %service

Revision 1.36  2005/09/17 10:44:59  arekm
- readline 5.0

Revision 1.35  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.34  2005/07/25 13:44:36  jajcus
- basic 64-bit fixes (-64bit.patch)

Revision 1.33  2005/06/13 20:14:11  undefine
- up to 1.0.11, not tested yet

Revision 1.32  2005/06/08 14:44:53  zbyniu
- BR: bison, flex

Revision 1.31  2004/12/17 22:50:10  saq
- %description unification

Revision 1.30  2004/11/05 10:49:23  paladine
- spaces->tabs
- cosmetics

Revision 1.29  2004/10/10 18:48:48  paladine
- added missing BR: autoconf

Revision 1.28  2004/09/24 13:18:34  radek
- massive: missing %defattr (or related cosmetics)

Revision 1.27  2004/09/22 12:26:53  jajcus
- IPv6 and IPv4 enabled binaries moved to separate packages -- don't pretend
  bird can do both with the same binary.

Revision 1.26  2004/07/26 23:03:11  kolodko
- up to 1.0.9

Revision 1.25  2004/07/08 12:20:52  agaran
- updated to 1.0.8 rel 0.1 (untested)

Revision 1.24  2004/03/28 16:17:16  qboosh
- added posix,flex patches, refresh config.sub

Revision 1.23  2003/12/22 15:39:54  eothane
- updated to 1.0.7

Revision 1.22  2003/08/06 16:35:14  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.21  2003/07/29 15:12:20  qboosh
- more specific Requires

Revision 1.20  2003/05/26 15:05:13  misi3k
- typos

Revision 1.19  2003/05/26 15:02:50  misi3k
- updated to 1.0.6

Revision 1.18  2003/05/25 05:45:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2002/12/07 14:32:49  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.16  2002/06/20 21:21:24  kloczek
- use new %doc.

Revision 1.15  2002/06/19 12:15:11  marcus
- rel.1., fixed obsoletes

Revision 1.14  2002/04/25 15:53:27  arturs
- fixed a small typo

Revision 1.13  2002/04/09 09:30:45  jajcus
- s/stdio.h/stdio.patch/

Revision 1.12  2002/04/08 13:35:07  jajcus
- Version: 1.0.5 (seems still broken a bit)

Revision 1.11  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:12:30  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/09/28 09:10:30  marcus
- s/%configure/%configure2_13/g

Revision 1.7  2001/09/24 09:57:11  qboosh
- Prereq: /sbin/chkconfig

Revision 1.6  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.3  2001/04/19 03:36:56  kloczek
- release 2,
- added missing readeline-devel to BuildRequires and rebuild against
  readline 4.2,
- added time.h patch with fix commpile bird on glibc 2.2.

Revision 1.2  2000/11/18 22:24:28  kloczek
- added gzipping %doc,
- few cosmetics,
- added Prereq: rc-scripts,
- added Provides: routingdaemon,
- added Obsoletes for gated, mtr, zebra, zebra-guile.

Revision 1.1  2000/11/18 22:07:37  misiek
- another routing daemon (TM)
